# $Revision: 1.37.2.4 $, $Date: 2007/04/19 19:18:50 $
Summary:	Plugins for multi channel settings manager
Summary(pl):	Wtyczki dla zarzdcy ustawie wielokanaowych
Name:		xfce-mcs-plugins
Version:	4.4.1
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	99f05b5ce95f24c205731565210aa8a9
Patch0:		%{name}-locale-names.patch
URL:		http://www.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.8.20
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	xfce4-dev-tools >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xfce-mcs-plugins is a set of plugins for the multi channel settings
manager.

%description -l pl
xfce-mcs-plugins to zbir wtyczek dla zarzdcy ustawie
wielokanaowych.

%prep
%setup -q
%patch0 -p1

mv -f po/{pt_PT,pt}.po

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xfce4/mcs-plugins/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%docdir %{_datadir}/xfce4/doc
%{_datadir}/xfce4/doc/C/*
%lang(fr) %{_datadir}/xfce4/doc/fr/*
%lang(it) %{_datadir}/xfce4/doc/it/*
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/*/*
%attr(755,root,root) %{_libdir}/xfce4/mcs-plugins/*.so
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce-mcs-plugins.spec,v $
Revision 1.37.2.4  2007/04/19 19:18:50  megabajt
- updated to 4.4.1

Revision 1.37.2.3  2007/01/28 21:12:58  megabajt
- updated to 4.4.0, merged from HEAD

Revision 1.46  2007/01/21 19:30:28  megabajt
- updated to 4.4.0

Revision 1.45  2006/11/06 19:12:13  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.44  2006/09/04 15:50:43  megabajt
- fix gtk+2 epoch

Revision 1.43  2006/09/04 15:46:47  megabajt
- up to 4.3.99.1
- use rpm macros

Revision 1.42  2006/07/24 18:20:41  freetz
- rel.2, removed LDFLAGS

Revision 1.41  2006/07/16 15:38:34  freetz
- merged from DEVEL

Revision 1.40.2.2  2006/07/16 15:33:14  freetz
- 4.3.90.2, updated deps, update icon cache, --as-needed support

Revision 1.40.2.1  2006/04/26 18:32:18  troll
- updated to 4.3.90.1

Revision 1.37.2.2  2006/07/05 09:34:12  havner
- intltoolize before glib_gettextize, proper macros for them

Revision 1.37.2.1  2006/07/05 09:15:51  havner
- 4.2.3, HEAD merge

Revision 1.40  2006/04/20 09:26:20  ankry
- tab

Revision 1.39  2005/11/10 06:17:19  charles
- updated to 4.2.3

Revision 1.38  2005/05/19 00:24:34  troll
- updated to 4.2.2
- BR: xfce4-dev-tools

Revision 1.37  2005/03/16 13:12:25  charles
- BR: gettext-devel

Revision 1.36  2005/03/16 02:00:40  koorek
- updated to 4.2.1

Revision 1.35  2005/01/17 13:13:08  troll
- updated to 4.2.0 final

Revision 1.34  2004/12/28 16:33:19  troll
- updated to 4.1.99.3 (4.2 RC3)

Revision 1.33  2004/12/22 15:12:24  havner
- rel up for proper BR

Revision 1.32  2004/12/20 17:04:34  troll
- added R xfce4-panel with equal version

Revision 1.31  2004/12/20 15:46:18  troll
- BR: xfce4-panel-devel with equal version

Revision 1.30  2004/12/20 09:00:58  havner
- rel 2

Revision 1.29  2004/12/13 21:12:32  troll
- updated to 4.1.99.2 (4.2 RC2)

Revision 1.28  2004/11/27 19:21:10  saq
- massive attack: more BR epoch fixes

Revision 1.27  2004/11/25 23:18:25  qboosh
- BR ac 2.50

Revision 1.26  2004/11/25 23:13:50  qboosh
- doc/*/images dirs back to xfce-mcs-manager only

Revision 1.25  2004/11/25 22:03:58  qboosh
- gtk+2 epoch

Revision 1.24  2004/11/25 05:54:51  troll
- merged from DEVEL

Revision 1.19.2.12  2004/11/15 20:44:39  dzeus
- updated to 4.1.99.1 (4.2 RC1)

Revision 1.19.2.11  2004/11/07 08:47:16  troll
- updated to 4.1.91 (4.2 beta 2)

Revision 1.19.2.10  2004/10/07 14:43:29  troll
- updated to 4.1.90 (4.2 beta 1)

Revision 1.19.2.9  2004/08/16 18:58:17  havner
- [mass commit] 20040816
- not tested yet

Revision 1.19.2.8  2004/08/15 00:45:40  havner
- files fixed

Revision 1.19.2.7  2004/08/13 17:03:42  havner
- md5

Revision 1.19.2.6  2004/08/13 16:55:42  havner
- proper version
- stricter BR
- 20040813

Revision 1.19.2.5  2004/08/06 22:26:36  havner
- typo in source address

Revision 1.19.2.4  2004/08/06 22:23:08  havner
- 20040806

Revision 1.19.2.3  2004/07/30 02:19:35  troll
- 4.1.1 - ofcourse funky new hacks
- adjusted and applied locale-names.patch from HEAD

Revision 1.19.2.2  2004/06/22 13:22:20  jpc
- fixes from troll
- cosmetics

Revision 1.19.2.1  2004/06/17 10:06:26  jpc
- new snap (20040617)
- autotoolize

Revision 1.19  2004/04/18 07:37:49  ankry
- fixed src URL

Revision 1.18  2004/04/18 06:24:20  ankry
- switched to a working mirror

Revision 1.17  2004/04/16 22:16:22  troll
- updated to XFce-4.0.5
- more strict internal dependencies
- new Source0 (the old one doesn't exist anymore)

Revision 1.16  2004/03/10 20:57:35  troll
- updated to 4.0.4

Revision 1.15  2004/01/12 21:23:05  undefine
- release 2, copy config.sub to allow build on amd64

Revision 1.14  2004/01/08 23:24:59  troll
- updated to 4.0.3

Revision 1.13  2003/12/28 23:28:16  troll
- updated to 4.0.2

Revision 1.12  2003/11/14 14:38:47  troll
- updated to 4.0.1
- unified BR versions

Revision 1.11  2003/09/27 09:13:39  troll
- updated to 4.0.0

Revision 1.10  2003/09/14 15:59:06  troll
- updated to 3.99.4

Revision 1.9  2003/08/28 12:03:54  troll
- fixed *Requires' versions

Revision 1.8  2003/08/27 09:09:12  pascalek
- updated to 3.99.3

Revision 1.7  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.6  2003/07/25 08:50:47  pascalek
- updated to 3.99.2

Revision 1.5  2003/07/07 07:25:37  pascalek
- updated to 3.91.0

Revision 1.4  2003/06/18 07:46:37  qboosh
- BR: pkgconfig

Revision 1.3  2003/06/17 08:39:05  qboosh
- mcs-plugins dir moved from plugins to manager
- more verbose doc list (for possible future lang())

Revision 1.2  2003/06/16 15:22:41  qboosh
- pl, cleanups, fixed file list
- removed useless *.a and probably useless *.la

Revision 1.1  2003/06/14 19:22:23  pascalek
- initial release
